It Works With 3.0! Rated 5 out of 5 stars

This version works with 3.0 as long as you update the install.rdf. If anybody wants it go here:

http://www33.websamba.com/sp88s5/firesomething.htm